import statusCode from "../utils/statusCodes";
import { getMessages } from "../db/api";
import logger from "../system/Logger";

export async function messages(body, res) {
    const { roomId } = body;
    getMessages(roomId).then((messages) => {
        res.status(statusCode.OK).json(messages);
    }).catch((err) => {
        logger.error(err)
        res.status(statusCode.INTERNAL_SERVER_ERROR);
    });
}