const { nbMembers } from ";
const { generateUsers } = require("../../test-utils/test-attrsUtils");

describe("envelopeUtils", () => {
    const names = generateUsers(6);
    describe("nbMembers", () => {
        it("sender and from shouldn't be counted twice if there are the same", () => {
            const envelope = {
                from: [names[0].user],
                sender: [names[0].user],
                replyTo: null,
                to: null,
                cc: null,
                bcc: null,
                inReplyTo: null,
            };
            expect(nbMembers(envelope)).toBe(1);
        });
        it("sender and from shoud be counted twice if there are the same", () => {
            const envelope = {
                from: [names[0].user],
                sender: [names[1].user],
                replyTo: null,
                to: null,
                cc: null,
                bcc: null,
                inReplyTo: null,
            };
            expect(nbMembers(envelope)).toBe(2);
        });
        it("should count every members", () => {
            // todo should merge identic members
            const envelope = {
                from: [names[0].user],
                sender: [names[1].user],
                replyTo: [names[2].user],
                to: [names[3].user],
                cc: [names[4].user],
                bcc: [names[5].user],
                inReplyTo: null,
            };
            expect(nbMembers(envelope)).toBe(6);
        });
    });
});
